> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create An Item Filter

> Filters are applied to properties of the `field_coverage` object of [Items](/api-reference/items#object) using the comparison operators below. You can also filter Items by their `status` property using the `eq` operator.

The name and ID of the new Item filter are returned in the response, which can be used as a query parameter when [listing Items](/api-reference/items#list).

## Comparison operators

`eq` — equals  
`gt` — greater than  
`gte` — greater than or equal to  
`lt` — less than  
`lte` — less than or equal to




## OpenAPI

````yaml post /v2/item-filters
openapi: 3.0.0
info:
  title: Item Filters API
  version: '2.0'
  description: >
    Create custom filters that can be used as a search parameter when listing
    Items.
servers: []
security:
  - basicAuth: []
paths:
  /v2/item-filters:
    post:
      summary: Create an Item filter
      description: >
        Filters are applied to properties of the `field_coverage` object of
        [Items](/api-reference/items#object) using the comparison operators
        below. You can also filter Items by their `status` property using the
        `eq` operator.


        The name and ID of the new Item filter are returned in the response,
        which can be used as a query parameter when [listing
        Items](/api-reference/items#list).


        ## Comparison operators


        `eq` — equals  

        `gt` — greater than  

        `gte` — greater than or equal to  

        `lt` — less than  

        `lte` — less than or equal to
      requestBody:
        required: true
        content:
          application/json:
            example:
              name: Key paystub fields supported
              filters:
                status:
                  eq: healthy
                field_coverage:
                  paystubs:
                    gross_pay:
                      supported:
                        eq: true
                    paystub_date:
                      supported:
                        eq: true
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Name for the Item filter.
                filters:
                  type: object
                  description: >-
                    The set of filters, which can be applied when [listing
                    Items](/api-reference/items#list).
              required:
                - name
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The ID of the item filter.
                    example: 087394d4-83b5-4722-8c5e-0235362c12f5
                  name:
                    type: string
                    description: The name of the item filter.
                    example: Key paystub fields supported
components:
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Username = api_key_id, Password = api_key_secret

````